您可以手动升级 VMware Tools,也可以配置虚拟机以检查并安装新版本的 VMware Tools。

打开虚拟机电源时,客户机操作系统会检查 VMware Tools 版本。如有可用的新版本,虚拟机的状态栏将显示一条消息。显示的版本也是与 VMware Tools 捆绑在一起的 ESXi 的版本。

在 Windows 虚拟机中,可以将 VMware Tools 设置为有可用升级时通知您。如果启用了此通知选项,则在 VMware Tools 升级可用时,Windows 任务栏中的 VMware Tools 图标将包含一个黄色提醒图标。

若要安装 VMware Tools 升级,可以使用第一次安装 VMware Tools 时使用的过程。升级 VMware Tools 意味着安装新版本。

对于 Windows 和 Linux 客户机操作系统,可以将虚拟机配置为自动升级 VMware Tools。在 Windows 客户机操作系统上,虽然在打开虚拟机电源时会执行版本检查,但关闭虚拟机电源或重新启动虚拟机时才会进行自动升级。在升级过程中,状态栏将显示消息正在安装 VMware Tools ... (Installing VMware Tools ...)

重要:

在 Linux 客户机操作系统上升级 VMware Tools 时,新的网络模块可用但未被使用,直到重新启动客户机操作系统或停止网络连接、卸载并重新加载 VMware 网络连接内核模块,然后重新启动网络连接。该行为意味着即使将 VMware Tools 设置为自动升级,也必须重新启动或重新加载网络模块以使新功能可用。

此策略可避免网络中断,并允许您通过 SSH 安装 VMware Tools。

对于 vSphere 虚拟机,您可以遵循以下任一流程同时升级多个虚拟机。

您可以遵循以下任一流程同时升级多个虚拟机。

  • 登录到 vCenter Server,选择主机或群集,然后在虚拟机选项卡上指定将在其上执行 VMware Tools 升级的虚拟机。

  • 使用 Update Manager 在文件夹或数据中心级别执行虚拟机的协调升级。

特定版本的 VMware 产品中的某些功能可能取决于是否安装或升级到该版本中包含的 VMware Tools 版本。并非总是需要升级到最新版本的 VMware Tools,但 VMware 强烈建议您升级到最近更新的 VMware Tools 版本。较新版本的 VMware Tools 与一些 ESXi 主机版本兼容。为了避免不必要的升级,请评估您的环境是否需要使用添加的功能和性能。请参见通过虚拟机兼容性设置实现的硬件功能。不过,VMware 强烈建议您安装和使用最新版本的 VMware Tools。

特定版本的 VMware 产品中的某些功能可能取决于是否安装或升级到该版本中包含的 VMware Tools 版本。并非始终需要升级到最新版本的 VMware Tools。较新版本的 VMware Tools 与一些主机版本兼容。为了避免不必要的升级,请评估您的环境是否需要使用添加的功能和性能。

表 1. 虚拟机兼容性选项

兼容性

描述

ESXi 6.0 及更高版本

该虚拟机(硬件版本 11)与 ESXi 6.0 及更高版本兼容。

ESXi 5.5 及更高版本

该虚拟机(硬件版本 10)与 ESXi 5.5 及更高版本兼容。

ESXi 5.1 及更高版本

该虚拟机(硬件版本 9)与 ESXi 5.1 及更高版本兼容。

ESXi 5.0 及更高版本

该虚拟机(硬件版本 8)与 ESXi 5.0 和 5.1 兼容。

ESX/ESXi 4.x 及更高版本

该虚拟机(硬件版本 7)与 ESX/ESXi 4.x、ESXi 5.0 和 ESXi 5.1 兼容。

ESX/ESXi 3.5 及更高版本

该虚拟机(硬件版本 4)与 ESX/ESX 3.5 兼容。ESX/ESX 4.x 和 ESXi 5.1。它还与 VMware Server 1.0 及更高版本兼容。您不能在 ESXi 5.0 上创建具有 ESX/ESXi 3.5 兼容性的虚拟机。

有关详细信息,请参见特定的 VMware 产品文档。